import { VolumeActor } from "@cornerstonejs/core/dist/types/types";

const windowWidth = 400;
const windowCenter = 40;

const lower = windowCenter - windowWidth / 2.0;
const upper = windowCenter + windowWidth / 2.0;

export const ctVoiRange = { lower, upper };

export const setCtTransferFunctionForVolumeActor = ({
  volumeActor,
}: {
  volumeActor: VolumeActor;
}) => {
  volumeActor
    .getProperty()
    .getRGBTransferFunction(0)
    .setMappingRange(lower, upper);
};
